mwAwareListHandler Struct Reference

`#include <mw_srvc_aware.h>`

## Data Fields

void(* | clear )(struct mwAwareList *list)
| optional.
mwAwareIdAttributeHandler | on_attrib
| handle attribute updates
mwAwareSnapshotHandler | on_aware
| handle aware updates

## Field Documentation

## clear

void(* mwAwareListHandler::clear) (struct mwAwareList *list)

optional.

Called from mwAwareList_free

## on_attrib

mwAwareIdAttributeHandler mwAwareListHandler::on_attrib

handle attribute updates

## on_aware

mwAwareSnapshotHandler mwAwareListHandler::on_aware

handle aware updates

The documentation for this struct was generated from the following file:

- mw_srvc_aware.h